-- UC_VIA_Gameplay
-- Author: JNR
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,								RequirementType)
VALUES	('REQUIRES_JNR_PLAYER_IS_CLASSICAL_ERA',	'REQUIREMENT_PLAYER_ERA_AT_LEAST'),
		('REQUIRES_JNR_PLAYER_IS_RENAISSANCE_ERA',	'REQUIREMENT_PLAYER_ERA_AT_LEAST'),
		('REQUIRES_PLAYER_IS_INDUSTRIAL_ERA',		'REQUIREMENT_PLAYER_ERA_AT_LEAST'),
		('REQUIRES_JNR_PLAYER_IS_MODERN_ERA',		'REQUIREMENT_PLAYER_ERA_AT_LEAST');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,								Name,		Value)
VALUES	('REQUIRES_JNR_PLAYER_IS_CLASSICAL_ERA',	'EraType',	'ERA_CLASSICAL'),
		('REQUIRES_JNR_PLAYER_IS_RENAISSANCE_ERA',	'EraType',	'ERA_RENAISSANCE'),
		('REQUIRES_PLAYER_IS_INDUSTRIAL_ERA',		'EraType',	'ERA_INDUSTRIAL'),
		('REQUIRES_JNR_PLAYER_IS_MODERN_ERA',		'EraType',	'ERA_MODERN');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,					RequirementSetType)
VALUES	('REQUIREMENTS_VIA_CLASSICAL_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('PLAYER_IS_CLASSICAL_ERA_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_IS_INDUSTRIAL_ERA_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_IS_MODERN_ERA_JNR',		'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,					RequirementId)
VALUES	('REQUIREMENTS_VIA_CLASSICAL_JNR',	'REQUIRES_PLAYER_HAS_CIVIL_SERVICE'),
		('REQUIREMENTS_VIA_CLASSICAL_JNR',	'REQUIRES_JNR_PLAYER_IS_RENAISSANCE_ERA'),
		('PLAYER_IS_CLASSICAL_ERA_JNR',		'REQUIRES_JNR_PLAYER_IS_CLASSICAL_ERA'),
		('PLAYER_IS_INDUSTRIAL_ERA_JNR',	'REQUIRES_PLAYER_IS_INDUSTRIAL_ERA'),
		('PLAYER_IS_MODERN_ERA_JNR',		'REQUIRES_JNR_PLAYER_IS_MODERN_ERA');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,								ModifierType,						SubjectRequirementSetId,			RunOnce)
VALUES	('JNR_VIA_DISTRICT_ROADS_CLASSICAL',		'MODIFIER_GRANT_ROUTE_IN_RADIUS',	'REQUIREMENTS_VIA_CLASSICAL_JNR',	1),
		('JNR_VIA_DISTRICT_ROADS_ANCIENT_GOV',		'MODIFIER_GRANT_ROUTE_IN_RADIUS',	NULL,								1),
		('JNR_VIA_DISTRICT_ROADS_CLASSICAL_GOV',	'MODIFIER_GRANT_ROUTE_IN_RADIUS',	'PLAYER_IS_CLASSICAL_ERA_JNR',		1),
		('JNR_VIA_DISTRICT_ROADS_INDUSTRIAL',		'MODIFIER_GRANT_ROUTE_IN_RADIUS',	'PLAYER_IS_INDUSTRIAL_ERA_JNR',		1),
		('JNR_VIA_DISTRICT_ROADS_MODERN',			'MODIFIER_GRANT_ROUTE_IN_RADIUS',	'PLAYER_IS_MODERN_ERA_JNR',			1);
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,								Name,			Value)
VALUES	('JNR_VIA_DISTRICT_ROADS_CLASSICAL',		'RouteType',	'ROUTE_MEDIEVAL_ROAD'),
		('JNR_VIA_DISTRICT_ROADS_CLASSICAL',		'Radius',		1),
		('JNR_VIA_DISTRICT_ROADS_ANCIENT_GOV',		'RouteType',	'ROUTE_ANCIENT_ROAD'),
		('JNR_VIA_DISTRICT_ROADS_ANCIENT_GOV',		'Radius',		1),
		('JNR_VIA_DISTRICT_ROADS_CLASSICAL_GOV',	'RouteType',	'ROUTE_MEDIEVAL_ROAD'),
		('JNR_VIA_DISTRICT_ROADS_CLASSICAL_GOV',	'Radius',		1),
		('JNR_VIA_DISTRICT_ROADS_INDUSTRIAL',		'RouteType',	'ROUTE_INDUSTRIAL_ROAD'),
		('JNR_VIA_DISTRICT_ROADS_INDUSTRIAL',		'Radius',		1),
		('JNR_VIA_DISTRICT_ROADS_MODERN',			'RouteType',	'ROUTE_MODERN_ROAD'),
		('JNR_VIA_DISTRICT_ROADS_MODERN',			'Radius',		1);
--------------------------------------------------------------

-- DistrictModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,								ModifierId)
VALUES	('DISTRICT_CITY_CENTER',					'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_CITY_CENTER',					'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_CITY_CENTER',					'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_HOLY_SITE',						'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_HOLY_SITE',						'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_HOLY_SITE',						'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_CAMPUS',							'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_CAMPUS',							'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_CAMPUS',							'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_ENCAMPMENT',						'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_ENCAMPMENT',						'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_ENCAMPMENT',						'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_HARBOR',							'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_HARBOR',							'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_HARBOR',							'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_AERODROME',						'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_AERODROME',						'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_AERODROME',						'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_COMMERCIAL_HUB',					'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_COMMERCIAL_HUB',					'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_COMMERCIAL_HUB',					'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_ENTERTAINMENT_COMPLEX',			'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_ENTERTAINMENT_COMPLEX',			'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_ENTERTAINMENT_COMPLEX',			'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_THEATER',						'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_THEATER',						'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_THEATER',						'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_INDUSTRIAL_ZONE',				'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_INDUSTRIAL_ZONE',				'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_INDUSTRIAL_ZONE',				'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_WATER_ENTERTAINMENT_COMPLEX',	'JNR_VIA_DISTRICT_ROADS_CLASSICAL'),
		('DISTRICT_WATER_ENTERTAINMENT_COMPLEX',	'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_WATER_ENTERTAINMENT_COMPLEX',	'JNR_VIA_DISTRICT_ROADS_MODERN'),
		('DISTRICT_GOVERNMENT',						'JNR_VIA_DISTRICT_ROADS_ANCIENT_GOV'),
		('DISTRICT_GOVERNMENT',						'JNR_VIA_DISTRICT_ROADS_CLASSICAL_GOV'),
		('DISTRICT_GOVERNMENT',						'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'),
		('DISTRICT_GOVERNMENT',						'JNR_VIA_DISTRICT_ROADS_MODERN');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,								ModifierId)
SELECT	CivUniqueDistrictType,						'JNR_VIA_DISTRICT_ROADS_CLASSICAL'
FROM	DistrictReplaces
WHERE	ReplacesDistrictType IN ('DISTRICT_HOLY_SITE', 'DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT', 'DISTRICT_HARBOR', 'DISTRICT_AERODROME', 'DISTRICT_COMMERCIAL_HUB', 'DISTRICT_ENTERTAINMENT_COMPLEX', 'DISTRICT_THEATER', 'DISTRICT_INDUSTRIAL_ZONE', 'DISTRICT_WATER_ENTERTAINMENT_COMPLEX');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,								ModifierId)
SELECT	CivUniqueDistrictType,						'JNR_VIA_DISTRICT_ROADS_INDUSTRIAL'
FROM	DistrictReplaces
WHERE	ReplacesDistrictType IN ('DISTRICT_HOLY_SITE', 'DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT', 'DISTRICT_HARBOR', 'DISTRICT_AERODROME', 'DISTRICT_COMMERCIAL_HUB', 'DISTRICT_ENTERTAINMENT_COMPLEX', 'DISTRICT_THEATER', 'DISTRICT_INDUSTRIAL_ZONE', 'DISTRICT_WATER_ENTERTAINMENT_COMPLEX', 'DISTRICT_GOVERNMENT');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,								ModifierId)
SELECT	CivUniqueDistrictType,						'JNR_VIA_DISTRICT_ROADS_MODERN'
FROM	DistrictReplaces
WHERE	ReplacesDistrictType IN ('DISTRICT_HOLY_SITE', 'DISTRICT_CAMPUS', 'DISTRICT_ENCAMPMENT', 'DISTRICT_HARBOR', 'DISTRICT_AERODROME', 'DISTRICT_COMMERCIAL_HUB', 'DISTRICT_ENTERTAINMENT_COMPLEX', 'DISTRICT_THEATER', 'DISTRICT_INDUSTRIAL_ZONE', 'DISTRICT_WATER_ENTERTAINMENT_COMPLEX', 'DISTRICT_GOVERNMENT');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,								ModifierId)
SELECT	CivUniqueDistrictType,						'JNR_VIA_DISTRICT_ROADS_ANCIENT_GOV'
FROM	DistrictReplaces
WHERE	ReplacesDistrictType='DISTRICT_GOVERNMENT';

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,								ModifierId)
SELECT	CivUniqueDistrictType,						'JNR_VIA_DISTRICT_ROADS_CLASSICAL_GOV'
FROM	DistrictReplaces
WHERE	ReplacesDistrictType='DISTRICT_GOVERNMENT';
--------------------------------------------------------------

-- Civics
--------------------------------------------------------------
UPDATE Civics SET Description='LOC_CIVIC_CIVIL_SERVICE_DESCRIPTION_JNR_UC' WHERE CivicType='CIVIC_CIVIL_SERVICE';
--------------------------------------------------------------